bitel.billing.server.contract.bean

## Class ContractScriptLogManager

- java.lang.Object
- - bitel.billing.server.contract.bean.ContractScriptLogManager

- Deprecated.

      @Deprecated
      public class ContractScriptLogManager
      extends java.lang.Object

  Использовать `ContractScriptLogDao`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractScriptLogManager(DefaultServerSetup setup)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ContractScriptLog>` | `getScriptLogList(int cid, java.util.Date start, java.util.Date end)` Deprecated. Возвращает полный список логов скриптов договора за определенный период
    `java.util.List<ContractScriptLog>` | `getScriptLogList(int cid, java.util.Date start, java.util.Date end, Page page)` Deprecated. Возвращает постраничный список логов скриптов договора за определенный период

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractScriptLogManager

          public ContractScriptLogManager(DefaultServerSetup setup)

      Deprecated.

  - ### Method Detail

    - #### getScriptLogList

          public java.util.List<ContractScriptLog> getScriptLogList(int cid,
                                                                    java.util.Date start,
                                                                    java.util.Date end)

      Deprecated.
      Возвращает полный список логов скриптов договора за определенный период
      Parameters:
        `cid` - код договора
        `start` - начало периода
        `end` - конец периода
      Returns:
        список

    - #### getScriptLogList

          public java.util.List<ContractScriptLog> getScriptLogList(int cid,
                                                                    java.util.Date start,
                                                                    java.util.Date end,
                                                                    Page page)

      Deprecated.
      Возвращает постраничный список логов скриптов договора за определенный период
      Parameters:
        `cid` - код договора
        `start` - начало периода
        `end` - конец периода
        `page` - страница
      Returns:
        список